Subject: bug#28066: closed (Re: bug#28066: eshell-tramp sudo ignores C-c)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Aug 2017 07:31:02 +0000

Your bug report

#28066: eshell-tramp sudo ignores C-c

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28066: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28066
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28066: eshell-tramp sudo ignores C-c
From: Michael Albinus <[email-masked]>
To: Yegor Timoshenko <[email-masked]>
Cc: [email-masked], Richard Stallman <[email-masked]>
Date: Mon, 21 Aug 2017 09:29:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 26.1

Yegor Timoshenko <[email-masked]> writes:

Hi Yegor,

> I've built 296472f and it does work for me! Now I can interrupt
> eshell/sudo processes. Eshell is the only shell that I directly use,
> so that means a lot to me.

Thanks for confirmation, I'm closing the bug. We'll might change
implementation details, but this shouldn't hurt you.

> Thank you very much, Michael!

Best regards, Michael.

Subject: eshell-tramp sudo ignores C-c
From: Yegor Timoshenko <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 12 Aug 2017 14:45:34 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

GNU Emacs 25.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.22.16)
 of 2017-08-09

To reproduce, you'll need to add eshell-tramp module to configuration. Add
the following form to your Emacs configuration file:

(eval-after-load 'esh-module
  '(add-to-list 'eshell-modules-list 'eshell-tramp))

Then, M-x eshell.
$ which sudo
eshell/sudo is a compiled Lisp function in ‘em-tramp.el’
$ sudo sleep 10

Now, if you try to leave interrupt `sleep` using C-c, it won't work.